# 交割合约基础知识


### 保证金
- 解释  
    保证金是用来做合约的抵押。在交割合约中，保证金占用情况，跟杠杆倍数，当前价格有关的，合约面值有关。
- 公式  
    保证金 = 合约张数×合约面值÷当前价格÷杠杆倍数
- 例如  
    1. 100张面值为100$的合约，在BTC价格为10000$时，杠杆倍数为10的时候，需要的保证金为：
        100*100/10000/10 = 0.1BTC
    2. 当此时BTC价格上升到12000$时，需要的保证金为：
        100*100/12000/10 = 0.083333BTC
- 注意  
    当币价上升的时候，实际占用的保证金是更少的。但当币价下跌的时候，实际占用的保证金数更多。

### 盈亏
- 公式  
    多时以美元计价： 张数×面值×（当前价格-开仓价格）÷开仓价格  
    多时以币计价： 张数×面值×（当前价格-开仓价格）÷开仓价格÷当前价格  
    
    空时以美元计价： 张数×面值×（开仓价格-当前价格）÷开仓价格
    空时以币计价： 张数×面值×（开仓价格-当前价格）÷开仓价格÷当前价格
- 例如  
    1. 100张面值为100$的合约，在BTC价格为10000$的时候做多，当BTC价格到达10500$时，盈利情况如下：  
    以美元计价：100\*100\*(10500-10000)/10000 = 500$  
    以币计价：500/10500 = 0.0476฿
    2. 100张面值为100$的合约，在BTC价格为10000$的时候做多，当BTC价格到达9500$时，亏损情况如下：
    以美元计价：100\*100\*(9500-10000)/10000 = -500$
    以币计价：-500/9500 = -0.0526฿
    3. 100张面值为100$的合约，在BTC价格为10000$的时候做空，当BTC价格到达10500$时，亏损情况如下：  
    以美元计价：100\*100\*(10000 - 10500)/10000 = -500$  
    以币计价：-500/10500 = -0.0476฿
    2. 100张面值为100$的合约，在BTC价格为10000$的时候做空，当BTC价格到达9500$时，盈利情况如下：
    以美元计价：100\*100\*(10000 - 9500)/10000 = 500$  
    以币计价：500/9500 = 0.0526฿
    
- 注意
    如果以美元计价盈利时，多空概率相同、点数相同时，盈利规模一样。
    如果以币计价盈利时，多空概率相同、点数相同时，空的时候更容易挣更多的币。
    做多的时候，需要十分警惕爆仓风险，因为价格下跌时需要更多的币做为保证金，同时也在损失保证金。
    
- 表格  
    以币计价盈亏时做多的情况1w刀面值的合约，在1w价格的情况下
    
|n取值|方向|上涨n%收益|下跌n%收益|比率|
|:---|:---|:---|:---|:---|
|n=1|多|0.0099|-0.0101|1.0202|
|n=3|多|0.0291|-0.0309|1.0619|
|n=5|多|0.0476|-0.0526|1.1050|
|n=10|多|0.0909|-0.1111|1.2222|
|...|多|...|...|...|
|n=n|多|n/(100+n)|n/(100-n)|(100+n)/(100-n)|


### 标记价格

- 解释  
    okex用于计算用户实现盈利的，爆仓计算的价格。如果使用的合约本身的实时价格计算用户实时盈利时，会有很多极端情况造成爆仓。

- 公式  
    标记价格 = 现货指数价格 + 移动平均值（（合约卖一价 + 合约买一价）／2 - 现货指数价格）
    
- 注意  
    okex并没用公布具体是几个移动平均值。所以这个值理论上只能从接口取。
    
    
### 保证金率及强平

- 解释  

    保证金率是触发强平机制的重要参数。10倍杠杆时，当保证金率小于10%，才会触发爆仓线；20倍杠杆，当保证金率小于等于20%，才会触发爆仓线。

- 公式  

    梯度强平模式
    
    全仓模式： 保证金率 =（余额 + 已实现盈亏 + 未实现盈亏）÷（仓位价值 + 挂单冻结保证金 * 杠杆倍数）  
    仓位价值 = 面值 * 张数 ÷ 最新标记价格  
    
    爆仓价格 = 面值 * 张数/（（余额 + 已实现盈亏 + 未实现盈亏）÷ 保证金率 -挂单冻结保证金 * 杠杆倍数）
    
    10*14/((16.21540741-0.05083585)/0.2)
    
    (total_avail_balance + realized_pnl + unrealized_pnl) / ()
