CREATE TABLE `future_order_backtest` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `instance_id` int(11) NOT NULL COMMENT 'instance id',
  `sequence` tinyint(2) NOT NULL COMMENT 'order sid sequence',
  `place_type` varchar(20) NOT NULL COMMENT 'order place type: t_taker t_maker b_taker b_maker o_swap l_swap market',
  `type` tinyint(1) NOT NULL COMMENT '1: open_long, 2: open_short, 3: liquidate_long, 4: liquidate_short',
  `remote_order_id` varchar(50) DEFAULT '' COMMENT 'order sid sequence',
  `price` bigint(20) NOT NULL COMMENT 'unit: 0.00000001',
  `amount` int(11) NOT NULL COMMENT 'price * margined_asset/open_times/unit_amount',
  `avg_price` bigint(20) COMMENT 'unit: 0.00000001',
  `deal_amount` int(11),
  `status` tinyint(4) COMMENT 'order status, 0: unfinished 1: part_finish 2: finish 3: cancel',
  `lever` int(11) NOT NULL,
  `fee` decimal(20,8),
  `symbol` varchar(30) NOT NULL,
  `exchange` varchar(20) NOT NULL,
  `contract_type` varchar(20) NOT NULL,
  `unit_amount` decimal(11,8) NOT NULL DEFAULT '10',
  `place_timestamp` bigint(13) NOT NULL COMMENT 'order place timestamp',
  `place_datetime` datetime NOT NULL COMMENT 'order place datetime',
  `deal_timestamp` bigint(13) COMMENT 'order deal timestamp',
  `deal_datetime` datetime COMMENT 'order deal datetime',
  `due_timestamp` bigint(13),
  `due_datetime` datetime,
  `swap_timestamp` bigint(13),
  `swap_datetime` datetime,
  `cancel_timestamp` bigint(13),
  `cancel_datetime` datetime,
  `raw_order_data` text,
  `raw_market_data` text,
  `create_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `update_at` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `instance_id` (`instance_id`,`sequence`),
  KEY `place_timestamp` (`place_timestamp`),
  KEY `place_datetime` (`place_datetime`),
  KEY `deal_timestamp` (`deal_timestamp`),
  KEY `deal_datetime` (`deal_datetime`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
